#include <OneWire.h>
#include <DallasTemperature.h>
const int pinMotor = 9; //pin number which motor is connected to in the arduino
int count = 0;
int speed = 255; //between 0 and 255
  
const int SENSOR_PIN = 13; // Arduino pin connected to DS18B20 sensor's DQ pin

OneWire oneWire(SENSOR_PIN);         // setup a oneWire instance
DallasTemperature tempSensor(&oneWire); // pass oneWire to DallasTemperature library

float tempCelsius; 

void setup()
{
  Serial.begin(9600);
  tempSensor.begin();

  pinMode(pinMotor,OUTPUT); //setting pin 9 as the output pin
}

void loop () 
{
   
  tempSensor.requestTemperatures();             // send the command to get temperatures
  tempCelsius = tempSensor.getTempCByIndex(0);  // read temperature in Celsius
  Serial.println("\n\nTemperature: ");
  Serial.print(tempCelsius);    // print the temperature in Celsius
  Serial.print("°C");

  analogWrite(pinMotor, speed);
  Serial.println("\nSpeed level: ");
  Serial.print(speed);    // print the speed
  Serial.print("/255");
  count++;

  
  if (count%5==0) {
    Serial.println("\n\nEnter a nonzero integer to end test:");
  }

  int userInput=0;
  userInput = Serial.parseInt();

  if(userInput!=0 or count > 3000000) {
    
    speed = 0;
    Serial.println("\nTest is over");
    analogWrite(pinMotor,speed);
    exit(0);
  }

  delay(1000);

  }
    

